### Name: iGGVtiled
### Title: Interactive Tiled Display
### Aliases: iGGVtiled
### Keywords: methods iplot

### ** Examples


library("iGenomicViewer")

# load data objects
data(iGGVex)
data(mapping.info)
mapObj = mapping.info

# create a subset range
bacDX = 103:112
smplDX = 1:10
Z = mat[bacDX,smplDX]

# make object
TIplot = initTile(Z=Z,
                  bacDX=bacDX, mapObj=mapObj,
                  H=3,zlims=c(-0.5,0.5),
                  ylabels=paste("Spot",bacDX, sep=""),
                  xlabels=paste("smp",smplDX, sep=""),
                  xlab="Samples",
                  ylab="SpotID",
                  ttl="tiledImage",
                  returnVl=TRUE,
                  saveFlag=FALSE,
                  saveName="TIplot.RData")

# annotaiton object
# see vignette and help files for more details
data(annObj)

# make interactive plot

iGGVtiled(TIplot=TIplot,
          annObj=annObj,
          x.labels=as.data.frame(list(
                  sample.ID=paste("smp",1:TIplot$vls$nsmp,sep=""),
                  xla1=c("a","b","c","d","e","f","g","h","i","j"),
                  xla2=10:1)),
          y.labels=as.data.frame(list(
                  Spot.ID=paste("Spot",bacDX,sep=""))),
          xy.labels=list(lgr=round(Z,3)),
          mapObj.columns = c(2,3,7),
          fname.root="iGGVtiled")

   
  





