### Name: initGGV
### Title: Initialize GGV Object
### Aliases: initGGV
### Keywords: methods

### ** Examples


# load library
library("iGenomicViewer")

# load example data
data(iGGVex)
data(mapping.info)
data(annObj)

mapObj = mapping.info
y.lbls$Pdisc = round(y.lbls$Pdisc,3)
chrArm = c("8p", "18p")
pvls = rep(rep(rep(1:4, each=5), 960))[1:length(mapObj$mapping.info$g.loc.center)]
plot.vec = pvls[1:length(mapObj$mapping.info$g.loc.center)]
side.plot.extras="title(main='pvals')"

# make trackregion object
trackRegion = makeTrack(Fine.Band = c("8p11.22","18p11.21"),genomicLoc = NA, geneName = "FANCE")

# initialize GGV object
GGV = initGGV(vls = round(mat, 3),
              mapObj = mapObj,
              annObj = annObj,
              x.labels=x.lbls,
              y.labels=y.lbls,
              xy.labels=NA,
              chrArms=chrArm,
              trackRegions=trackRegion,
              side.plot.extras=side.plot.extras,
              plot.vec=plot.vec,
              plot.dx=which(mapObj$mapping.info$Chrom=="chr8"),
              mapObj.columns =c(2,8,10),
              smpLines=TRUE,
              divCol="lightgrey")





