### Name: initTile
### Title: Creates A Tiled Display Image 'TIplot' Object
### Aliases: initTile initTiled
### Keywords: methods

### ** Examples


library("iGenomicViewer")

# load data objects
data(iGGVex)
data(mapping.info)
mapObj = mapping.info

# create a subset range
bacDX = 103:112
smplDX = 1:10
Z = mat[bacDX,smplDX]

# make object
TIplot = initTile(Z=Z,
                  bacDX=bacDX, mapObj=mapObj,
                  H=3,zlims=c(-0.5,0.5),
                  ylabels=paste("Spot",bacDX, sep=""),
                  xlabels=paste("smp",smplDX, sep=""),
                  xlab="Samples",
                  ylab="SpotID",
                  ttl="tiledImage",
                  returnVl=TRUE,
                  saveFlag=FALSE,
                  saveName="TIplot.RData")




