### Name: makeTiled
### Title: Makes Tiled Image Display Plot
### Aliases: makeTile makeTiled
### Keywords: methods

### ** Examples


# load data objects
library("iGenomicViewer")
data(iGGVex)
data(mapping.info)

# create a subset range
bacDX = 103:112
smplDX = 1:10
Z = mat[bacDX,smplDX]

# make object
TIplot = initTile(Z=Z,
                  bacDX=bacDX, mapObj=mapping.info,
                  H=3,zlims=c(-0.5,0.5),
                  ylabels=paste("Spot",bacDX, sep=""),
                  xlabels=paste("smp",smplDX, sep=""),
                  xlab="Samples",
                  ylab="SpotID",
                  ttl="tiledImage",
                  returnVl=TRUE,
                  saveFlag=FALSE,
                  saveName="TIplot.RData")

# plot object
#      makeTiled(TIplot)





