### Name: updateGGV
### Title: Updates a 'GGV' object with new known track regions
### Aliases: updateGGV
### Keywords: methods

### ** Examples


# load library
library("iGenomicViewer")

# load example data
data(iGGVex)
data(mapping.info)
data(annObj)

mapObj = mapping.info
chrArm = c("8p", "18p")
y.lbls$Pdisc = round(y.lbls$Pdisc,3)
pvls = rep(rep(rep(1:4, each=5), 960))[1:length(mapObj$mapping.info$g.loc.center)]
plot.vec = pvls[1:length(mapObj$mapping.info$g.loc.center)]
side.plot.extras="title(main='pvals'"

# make track Region
trackRegion = makeTrack(Fine.Band = c("8p11.22","18p11.21"),genomicLoc = NA, geneName = "FANCE")

# make GGV object
GGV = initGGV(vls = round(mat, 3),
              mapObj = mapObj,
              annObj = annObj,
              x.labels=x.lbls,
              y.labels=y.lbls,
              xy.labels=NA,
              chrArms=chrArm,
              trackRegions=trackRegion,
              side.plot.extras=side.plot.extras,
              plot.vec=plot.vec,
              plot.dx=which(mapObj$mapping.info$Chrom=="chr8"),
              mapObj.columns =c(2,8,10),
              smpLines=TRUE,
              divCol="lightgrey")

# make new track region
trackRegionUpdate = makeTrack(geneName="MYC")

# this will append new regions to old object regions
GGVnew = updateGGV(GGV=GGV,
                   trackRegions=trackRegionUpdate,
                   appendTo=TRUE)


# this will replace GGV object's trackregions with
# new object
GGVnew = updateGGV(GGV=GGV,
                   trackRegions=trackRegionUpdate,
                   appendTo=FALSE)





